Skip to main content
PATCH
Update Subscription

Authorizations

api_access_token
string
header
required

Path Parameters

id
integer
required

ID of the subscription

account_id
integer
required

The numeric ID of the account

Body

application/json
subscription
object
termination
object

Por qué termina el contrato y su penalidad; obligatorio si subscription.status es cancelled

Response

Success

id
integer
amount
number
billing_day
integer
currency
string
status
string
payment_mode
string
surcharge_percentage
number
surcharge_amount
number
total_amount_with_surcharge
number
next_billing_date
string<date>
discarded_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>
labels
object[]
payment_method
object | null
property_tenancy
object | null
property
object

A property as the account's portfolio sees it (app/views/api/v1/accounts/properties/_property.json.jbuilder). Fields marked "Sensitive" are only present when permissions.can_view_sensitive_details is true.

contact
object
tenants
object[]
co_debtors
object[]